From 191f9d51469a31970723ed9eb0aee70ffe63094e Mon Sep 17 00:00:00 2001
From: V3n3RiX <venerix@koprulu.sector>
Date: Thu, 23 Nov 2023 16:28:44 +0000
Subject: gentoo auto-resync : 23:11:2023 - 16:28:43

---
 dev-dotnet/Manifest.gz                             | Bin 2769 -> 2765 bytes
 dev-dotnet/avalonia-ilspy/Manifest                 |   2 +-
 .../avalonia-ilspy/avalonia-ilspy-7.2_rc-r1.ebuild | 314 +++++++++++++++++++++
 .../avalonia-ilspy/avalonia-ilspy-7.2_rc.ebuild    | 308 --------------------
 dev-dotnet/nake/Manifest                           |   2 +-
 dev-dotnet/nake/nake-3.0.0-r1.ebuild               | 276 ++++++++++++++++++
 dev-dotnet/nake/nake-3.0.0.ebuild                  | 270 ------------------
 7 files changed, 592 insertions(+), 580 deletions(-)
 create mode 100644 dev-dotnet/avalonia-ilspy/avalonia-ilspy-7.2_rc-r1.ebuild
 delete mode 100644 dev-dotnet/avalonia-ilspy/avalonia-ilspy-7.2_rc.ebuild
 create mode 100644 dev-dotnet/nake/nake-3.0.0-r1.ebuild
 delete mode 100644 dev-dotnet/nake/nake-3.0.0.ebuild

(limited to 'dev-dotnet')

diff --git a/dev-dotnet/Manifest.gz b/dev-dotnet/Manifest.gz
index fca051efedf0..1e896e47d71f 100644
Binary files a/dev-dotnet/Manifest.gz and b/dev-dotnet/Manifest.gz differ
diff --git a/dev-dotnet/avalonia-ilspy/Manifest b/dev-dotnet/avalonia-ilspy/Manifest
index 4238bb6ed5d2..a5adbba8b20e 100644
--- a/dev-dotnet/avalonia-ilspy/Manifest
+++ b/dev-dotnet/avalonia-ilspy/Manifest
@@ -212,5 +212,5 @@ DIST system.xml.readerwriter.4.0.11.nupkg 1363068 BLAKE2B b151c0560022d796720ce3
 DIST system.xml.readerwriter.4.3.1.nupkg 1390023 BLAKE2B 9583eb4fb7d3b530077dac26f568297712d5a4ce39293e6863e45aac092787771f95e99eed19df20eaa2d2f96f4db27935674b56557e8b10adbc231ac153cecd SHA512 b53625d91d1b4edb4ab99ac12a3015f571839af641579bd7198f81d8ed53987a746b39d881ce53cd1ffea5378d5cb773ff5f793f5173f790fad51360f2a7f201
 DIST system.xml.xdocument.4.0.11.nupkg 591353 BLAKE2B 8373fa19c6aafbe6e347db7bb1ec304dd8ce77df415acf0c3ee04ea2dcfce050f59d6e72cdeb14c4e54d29c1c07fc9eb0ef8045fb09830b48fb1a8e90dcb09a8 SHA512 f8ae902901963f2636f39c0652d82daa9df3fb3e3d5a60493c39f6cf01ed07c7d57f175a2d2895f4a872d4e92527e5131522218d1a67da2fd491e162273a8527
 DIST tmds.dbus.0.9.0.nupkg 98877 BLAKE2B 7af927da0c8ab426f368d517e1c5476e5796d10ccde27de47646de79e1a9ad35603eacc5f323d348f33afc4427b6db3dddfc9aa385cdd3046b5775eccfb21758 SHA512 20e3b4f03fd666a499e89948db9ebdd1fddfd6523685622823dbbc5c2cf933bbc43a5082f9ac174186701e716d72a31737cffa02ac9539692d71e45449f9184c
-EBUILD avalonia-ilspy-7.2_rc.ebuild 9716 BLAKE2B d68833b83220229e8ab415f0cebfe5e4cb2ce25d9e303cd0231f0c38a12d3566c5dd4d0193862eaad498f5e6463bd0c50504b68fa0c3c62c801d9d91b3a9f9fd SHA512 be10ed1026ebd75acf86b656f0bfe555ebbb50985a2e08d6855c866dea0cebc182e2691b060ce38aef761162d7a4c0c49da577694ac3586eb9e00c070a435a21
+EBUILD avalonia-ilspy-7.2_rc-r1.ebuild 9912 BLAKE2B 46ddb166c1c5f7a0ac680acf3d87f71167a1fcef26a3d35dcd0ef5851deff4b7b57ba8084b4a355f367a975cf1d6eeb6016f458c833c99842d3ee6061400dd9b SHA512 544bf9252598ac281660a2ea061735a176a7b0e5f8baa44d5d84515c4cfcbfd5f5d50bf8e46bd714db7d11de24583c0ea07b9be1e5fc56665db8b7a013e238f8
 MISC metadata.xml 433 BLAKE2B 6c948d598a008692c94b69ca43b6171c6b127bc66a7a59d47b997b3b2b8585d5be5a86e2ff9d857d7a535c8c974a19f8fe8ec32f4f7a025568a5963b2d8ada50 SHA512 c48874dddd30eb541fd2de9f26ee7bb4793b6aefe21567387df2a771ff47f813e93cd29171d4299d1586b5e76b92f5e8030d53cc05a3e5e3fbb26accf05d04da
diff --git a/dev-dotnet/avalonia-ilspy/avalonia-ilspy-7.2_rc-r1.ebuild b/dev-dotnet/avalonia-ilspy/avalonia-ilspy-7.2_rc-r1.ebuild
new file mode 100644
index 000000000000..1224e68df4ec
--- /dev/null
+++ b/dev-dotnet/avalonia-ilspy/avalonia-ilspy-7.2_rc-r1.ebuild
@@ -0,0 +1,314 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_PN=AvaloniaILSpy
+MY_PV="${PV/_/-}"
+MY_P="${MY_PN}-${MY_PV}"
+
+DOTNET_PKG_COMPAT=8.0
+NUGETS="
+avalonia.angle.windows.natives@2.1.0.2020091801
+avalonia.avaloniaedit@0.10.12.2
+avalonia.controls.datagrid@0.10.13
+avalonia.desktop@0.10.13
+avalonia.diagnostics@0.10.13
+avalonia.freedesktop@0.10.13
+avalonia.markup.xaml.loader@0.10.13
+avalonia.native@0.10.13
+avalonia.remote.protocol@0.10.13
+avalonia.skia@0.10.13
+avalonia.win32@0.10.13
+avalonia.x11@0.10.13
+avalonia@0.10.13
+harfbuzzsharp.nativeassets.linux@2.8.2-preview.178
+harfbuzzsharp.nativeassets.macos@2.8.2-preview.178
+harfbuzzsharp.nativeassets.webassembly@2.8.2-preview.178
+harfbuzzsharp.nativeassets.win32@2.8.2-preview.178
+harfbuzzsharp@2.8.2-preview.178
+icsharpcode.decompiler@7.1.0.6543
+icsharpcode.decompiler@7.2.1.6856
+jetbrains.annotations@10.3.0
+microsoft.codeanalysis.analyzers@2.9.6
+microsoft.codeanalysis.common@3.4.0
+microsoft.codeanalysis.csharp.scripting@3.4.0
+microsoft.codeanalysis.csharp@3.4.0
+microsoft.codeanalysis.scripting.common@3.4.0
+microsoft.csharp@4.0.1
+microsoft.csharp@4.3.0
+microsoft.diasymreader.native@17.0.0-beta1.21524.1
+microsoft.diasymreader@1.4.0
+microsoft.netcore.platforms@1.0.1
+microsoft.netcore.platforms@1.1.0
+microsoft.netcore.platforms@1.1.1
+microsoft.netcore.platforms@2.0.0
+microsoft.netcore.platforms@2.1.2
+microsoft.netcore.platforms@5.0.0
+microsoft.netcore.targets@1.0.1
+microsoft.netcore.targets@1.1.0
+microsoft.netcore.targets@1.1.3
+microsoft.visualstudio.composition.analyzers@17.1.20
+microsoft.visualstudio.composition@17.1.20
+microsoft.visualstudio.validation@17.0.34
+microsoft.win32.primitives@4.0.1
+microsoft.win32.registry@4.0.0
+microsoft.win32.registry@5.0.0
+microsoft.win32.systemevents@4.5.0
+mono.cecil@0.11.3
+netstandard.library@2.0.3
+newtonsoft.json@9.0.1
+nuget.client@4.2.0
+nuget.common@4.2.0
+nuget.contentmodel@4.2.0
+nuget.frameworks@4.2.0
+nuget.packaging.core.types@4.2.0
+nuget.packaging.core@4.2.0
+nuget.packaging@4.2.0
+nuget.repositories@4.2.0
+nuget.runtimemodel@4.2.0
+nuget.versioning@4.2.0
+runtime.any.system.collections@4.3.0
+runtime.any.system.diagnostics.tools@4.3.0
+runtime.any.system.diagnostics.tracing@4.3.0
+runtime.any.system.globalization@4.3.0
+runtime.any.system.io@4.3.0
+runtime.any.system.reflection.extensions@4.3.0
+runtime.any.system.reflection.primitives@4.3.0
+runtime.any.system.reflection@4.3.0
+runtime.any.system.resources.resourcemanager@4.3.0
+runtime.any.system.runtime.handles@4.3.0
+runtime.any.system.runtime.interopservices@4.3.0
+runtime.any.system.runtime@4.3.0
+runtime.any.system.text.encoding.extensions@4.3.0
+runtime.any.system.text.encoding@4.3.0
+runtime.any.system.threading.tasks@4.3.0
+runtime.debian.8-x64.runtime.native.system.security.cryptography.openssl@4.3.0
+runtime.fedora.23-x64.runtime.native.system.security.cryptography.openssl@4.3.0
+runtime.fedora.24-x64.runtime.native.system.security.cryptography.openssl@4.3.0
+runtime.native.system.io.compression@4.3.0
+runtime.native.system.security.cryptography.openssl@4.3.0
+runtime.native.system.security.cryptography@4.0.0
+runtime.native.system@4.0.0
+runtime.native.system@4.3.0
+runtime.opensuse.13.2-x64.runtime.native.system.security.cryptography.openssl@4.3.0
+runtime.opensuse.42.1-x64.runtime.native.system.security.cryptography.openssl@4.3.0
+runtime.osx.10.10-x64.runtime.native.system.security.cryptography.openssl@4.3.0
+runtime.rhel.7-x64.runtime.native.system.security.cryptography.openssl@4.3.0
+runtime.ubuntu.14.04-x64.runtime.native.system.security.cryptography.openssl@4.3.0
+runtime.ubuntu.16.04-x64.runtime.native.system.security.cryptography.openssl@4.3.0
+runtime.ubuntu.16.10-x64.runtime.native.system.security.cryptography.openssl@4.3.0
+runtime.unix.microsoft.win32.primitives@4.3.0
+runtime.unix.system.diagnostics.debug@4.3.0
+runtime.unix.system.io.filesystem@4.3.0
+runtime.unix.system.private.uri@4.3.0
+runtime.unix.system.runtime.extensions@4.3.0
+skiasharp.nativeassets.linux@2.88.0-preview.178
+skiasharp.nativeassets.macos@2.88.0-preview.178
+skiasharp.nativeassets.webassembly@2.88.0-preview.178
+skiasharp.nativeassets.win32@2.88.0-preview.178
+skiasharp@2.88.0-preview.178
+system.buffers@4.3.0
+system.buffers@4.4.0
+system.buffers@4.5.1
+system.collections.concurrent@4.0.12
+system.collections.immutable@1.5.0
+system.collections.immutable@1.6.0
+system.collections.immutable@5.0.0
+system.collections@4.0.11
+system.collections@4.3.0
+system.componentmodel.annotations@4.5.0
+system.componentmodel.composition@6.0.0
+system.composition.attributedmodel@6.0.0
+system.composition.convention@6.0.0
+system.composition.hosting@6.0.0
+system.composition.runtime@6.0.0
+system.composition.typedparts@6.0.0
+system.composition@6.0.0
+system.diagnostics.debug@4.0.11
+system.diagnostics.debug@4.3.0
+system.diagnostics.process@4.1.0
+system.diagnostics.tools@4.0.1
+system.diagnostics.tracing@4.1.0
+system.diagnostics.tracing@4.3.0
+system.drawing.common@4.5.0
+system.dynamic.runtime@4.0.11
+system.dynamic.runtime@4.3.0
+system.globalization@4.0.11
+system.globalization@4.3.0
+system.io.compression@4.3.0
+system.io.filesystem.primitives@4.0.1
+system.io.filesystem.primitives@4.3.0
+system.io.filesystem@4.0.1
+system.io.filesystem@4.3.0
+system.io@4.1.0
+system.io@4.3.0
+system.linq.expressions@4.1.0
+system.linq.expressions@4.3.0
+system.linq@4.1.0
+system.linq@4.3.0
+system.memory@4.5.3
+system.memory@4.5.4
+system.numerics.vectors@4.4.0
+system.numerics.vectors@4.5.0
+system.objectmodel@4.0.12
+system.objectmodel@4.3.0
+system.private.uri@4.3.0
+system.reactive@5.0.0
+system.reflection.emit.ilgeneration@4.0.1
+system.reflection.emit.ilgeneration@4.3.0
+system.reflection.emit.ilgeneration@4.7.0
+system.reflection.emit.lightweight@4.0.1
+system.reflection.emit.lightweight@4.3.0
+system.reflection.emit@4.0.1
+system.reflection.emit@4.3.0
+system.reflection.emit@4.7.0
+system.reflection.extensions@4.0.1
+system.reflection.extensions@4.3.0
+system.reflection.metadata@1.6.0
+system.reflection.metadata@5.0.0
+system.reflection.primitives@4.0.1
+system.reflection.primitives@4.3.0
+system.reflection.typeextensions@4.1.0
+system.reflection.typeextensions@4.3.0
+system.reflection.typeextensions@4.7.0
+system.reflection@4.1.0
+system.reflection@4.3.0
+system.resources.resourcemanager@4.0.1
+system.resources.resourcemanager@4.3.0
+system.runtime.compilerservices.unsafe@4.5.2
+system.runtime.compilerservices.unsafe@4.5.3
+system.runtime.compilerservices.unsafe@4.6.0
+system.runtime.extensions@4.1.0
+system.runtime.extensions@4.3.0
+system.runtime.extensions@4.3.1
+system.runtime.handles@4.0.1
+system.runtime.handles@4.3.0
+system.runtime.interopservices.windowsruntime@4.3.0
+system.runtime.interopservices@4.1.0
+system.runtime.interopservices@4.3.0
+system.runtime.numerics@4.0.1
+system.runtime.serialization.primitives@4.1.1
+system.runtime@4.1.0
+system.runtime@4.3.0
+system.runtime@4.3.1
+system.security.accesscontrol@5.0.0
+system.security.cryptography.algorithms@4.2.0
+system.security.cryptography.encoding@4.0.0
+system.security.cryptography.primitives@4.0.0
+system.security.principal.windows@4.7.0
+system.security.principal.windows@5.0.0
+system.text.encoding.codepages@4.5.1
+system.text.encoding.extensions@4.3.0
+system.text.encoding@4.0.11
+system.text.encoding@4.3.0
+system.text.regularexpressions@4.1.0
+system.text.regularexpressions@4.3.0
+system.threading.tasks.dataflow@5.0.0
+system.threading.tasks.extensions@4.0.0
+system.threading.tasks.extensions@4.3.0
+system.threading.tasks.extensions@4.5.3
+system.threading.tasks.extensions@4.5.4
+system.threading.tasks@4.0.11
+system.threading.tasks@4.3.0
+system.threading.thread@4.0.0
+system.threading.threadpool@4.0.10
+system.threading@4.0.11
+system.threading@4.3.0
+system.valuetuple@4.5.0
+system.xml.readerwriter@4.0.11
+system.xml.readerwriter@4.3.1
+system.xml.xdocument@4.0.11
+tmds.dbus@0.9.0
+"
+
+inherit check-reqs desktop dotnet-pkg xdg
+
+DESCRIPTION="Avalonia-based .NET Decompiler, port of ILSpy"
+HOMEPAGE="https://github.com/icsharpcode/AvaloniaILSpy/"
+
+if [[ "${PV}" == *9999* ]] ; then
+	inherit git-r3
+
+	EGIT_REPO_URI="https://github.com/icsharpcode/${MY_PN}.git"
+else
+	SRC_URI="https://github.com/icsharpcode/${MY_PN}/archive/v${MY_PV}.tar.gz
+		-> ${P}.tar.gz"
+	S="${WORKDIR}/${MY_P}"
+
+	KEYWORDS="~amd64"
+fi
+
+AZURE_DNCENG_V2_URI="https://pkgs.dev.azure.com/dnceng/public/_apis/packaging/feeds/d1622942-d16f-48e5-bc83-96f4539e7601/nuget/packages"
+SRC_URI+="
+	${NUGET_URIS}
+
+	${AZURE_DNCENG_V2_URI}/microsoft.diasymreader.converter.xml/versions/1.1.0-beta2-22164-02/content
+		-> microsoft.diasymreader.converter.xml.1.1.0-beta2-22164-02.nupkg
+	${AZURE_DNCENG_V2_URI}/microsoft.diasymreader.portablepdb/versions/1.7.0-beta-21525-03/content
+		-> microsoft.diasymreader.portablepdb.1.7.0-beta-21525-03.nupkg
+"
+
+LICENSE="MIT"
+SLOT="0"
+
+RDEPEND="
+	app-arch/brotli
+	dev-libs/elfutils
+	dev-libs/expat
+	dev-libs/libxml2
+	media-gfx/graphite2
+	media-libs/fontconfig
+	media-libs/freetype
+	media-libs/harfbuzz
+	media-libs/libglvnd
+	media-libs/libpng
+	x11-libs/libICE
+	x11-libs/libSM
+	x11-libs/libX11
+	x11-libs/libXau
+	x11-libs/libXcursor
+	x11-libs/libXdmcp
+	x11-libs/libXext
+	x11-libs/libXfixes
+	x11-libs/libXi
+	x11-libs/libXrandr
+	x11-libs/libXrender
+	x11-libs/libdrm
+	x11-libs/libxcb
+	x11-libs/libxshmfence
+"
+
+CHECKREQS_DISK_BUILD="2G"
+DOTNET_PKG_PROJECTS=( ILSpy/ILSpy.csproj )
+
+DOTNET_PKG_RESTORE_EXTRA_ARGS=(
+	-p:RollForward=Major
+)
+DOTNET_PKG_BUILD_EXTRA_ARGS=( "${DOTNET_PKG_RESTORE_EXTRA_ARGS[@]}" )
+DOTNET_PKG_TEST_EXTRA_ARGS=( "${DOTNET_PKG_RESTORE_EXTRA_ARGS[@]}" )
+
+DOCS=( README.md doc )
+
+pkg_setup() {
+	check-reqs_pkg_setup
+	dotnet-pkg_pkg_setup
+}
+
+src_unpack() {
+	dotnet-pkg_src_unpack
+
+	if [[ -n ${EGIT_REPO_URI} ]] ; then
+		git-r3_src_unpack
+	fi
+}
+
+src_install() {
+	dotnet-pkg-base_install
+	dotnet-pkg-base_dolauncher "/usr/share/${P}/ILSpy" "${PN}"
+
+	doicon --size 48 ILSpy.Core/Images/ILSpy.png
+	make_desktop_entry "${PN}" "${MY_PN}" ILSpy "Development;"
+
+	einstalldocs
+}
diff --git a/dev-dotnet/avalonia-ilspy/avalonia-ilspy-7.2_rc.ebuild b/dev-dotnet/avalonia-ilspy/avalonia-ilspy-7.2_rc.ebuild
deleted file mode 100644
index 1812e2d4d2ed..000000000000
--- a/dev-dotnet/avalonia-ilspy/avalonia-ilspy-7.2_rc.ebuild
+++ /dev/null
@@ -1,308 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-MY_PN=AvaloniaILSpy
-MY_PV="${PV/_/-}"
-MY_P="${MY_PN}-${MY_PV}"
-
-DOTNET_PKG_COMPAT=6.0
-NUGETS="
-avalonia.angle.windows.natives@2.1.0.2020091801
-avalonia.avaloniaedit@0.10.12.2
-avalonia.controls.datagrid@0.10.13
-avalonia.desktop@0.10.13
-avalonia.diagnostics@0.10.13
-avalonia.freedesktop@0.10.13
-avalonia.markup.xaml.loader@0.10.13
-avalonia.native@0.10.13
-avalonia.remote.protocol@0.10.13
-avalonia.skia@0.10.13
-avalonia.win32@0.10.13
-avalonia.x11@0.10.13
-avalonia@0.10.13
-harfbuzzsharp.nativeassets.linux@2.8.2-preview.178
-harfbuzzsharp.nativeassets.macos@2.8.2-preview.178
-harfbuzzsharp.nativeassets.webassembly@2.8.2-preview.178
-harfbuzzsharp.nativeassets.win32@2.8.2-preview.178
-harfbuzzsharp@2.8.2-preview.178
-icsharpcode.decompiler@7.1.0.6543
-icsharpcode.decompiler@7.2.1.6856
-jetbrains.annotations@10.3.0
-microsoft.codeanalysis.analyzers@2.9.6
-microsoft.codeanalysis.common@3.4.0
-microsoft.codeanalysis.csharp.scripting@3.4.0
-microsoft.codeanalysis.csharp@3.4.0
-microsoft.codeanalysis.scripting.common@3.4.0
-microsoft.csharp@4.0.1
-microsoft.csharp@4.3.0
-microsoft.diasymreader.native@17.0.0-beta1.21524.1
-microsoft.diasymreader@1.4.0
-microsoft.netcore.platforms@1.0.1
-microsoft.netcore.platforms@1.1.0
-microsoft.netcore.platforms@1.1.1
-microsoft.netcore.platforms@2.0.0
-microsoft.netcore.platforms@2.1.2
-microsoft.netcore.platforms@5.0.0
-microsoft.netcore.targets@1.0.1
-microsoft.netcore.targets@1.1.0
-microsoft.netcore.targets@1.1.3
-microsoft.visualstudio.composition.analyzers@17.1.20
-microsoft.visualstudio.composition@17.1.20
-microsoft.visualstudio.validation@17.0.34
-microsoft.win32.primitives@4.0.1
-microsoft.win32.registry@4.0.0
-microsoft.win32.registry@5.0.0
-microsoft.win32.systemevents@4.5.0
-mono.cecil@0.11.3
-netstandard.library@2.0.3
-newtonsoft.json@9.0.1
-nuget.client@4.2.0
-nuget.common@4.2.0
-nuget.contentmodel@4.2.0
-nuget.frameworks@4.2.0
-nuget.packaging.core.types@4.2.0
-nuget.packaging.core@4.2.0
-nuget.packaging@4.2.0
-nuget.repositories@4.2.0
-nuget.runtimemodel@4.2.0
-nuget.versioning@4.2.0
-runtime.any.system.collections@4.3.0
-runtime.any.system.diagnostics.tools@4.3.0
-runtime.any.system.diagnostics.tracing@4.3.0
-runtime.any.system.globalization@4.3.0
-runtime.any.system.io@4.3.0
-runtime.any.system.reflection.extensions@4.3.0
-runtime.any.system.reflection.primitives@4.3.0
-runtime.any.system.reflection@4.3.0
-runtime.any.system.resources.resourcemanager@4.3.0
-runtime.any.system.runtime.handles@4.3.0
-runtime.any.system.runtime.interopservices@4.3.0
-runtime.any.system.runtime@4.3.0
-runtime.any.system.text.encoding.extensions@4.3.0
-runtime.any.system.text.encoding@4.3.0
-runtime.any.system.threading.tasks@4.3.0
-runtime.debian.8-x64.runtime.native.system.security.cryptography.openssl@4.3.0
-runtime.fedora.23-x64.runtime.native.system.security.cryptography.openssl@4.3.0
-runtime.fedora.24-x64.runtime.native.system.security.cryptography.openssl@4.3.0
-runtime.native.system.io.compression@4.3.0
-runtime.native.system.security.cryptography.openssl@4.3.0
-runtime.native.system.security.cryptography@4.0.0
-runtime.native.system@4.0.0
-runtime.native.system@4.3.0
-runtime.opensuse.13.2-x64.runtime.native.system.security.cryptography.openssl@4.3.0
-runtime.opensuse.42.1-x64.runtime.native.system.security.cryptography.openssl@4.3.0
-runtime.osx.10.10-x64.runtime.native.system.security.cryptography.openssl@4.3.0
-runtime.rhel.7-x64.runtime.native.system.security.cryptography.openssl@4.3.0
-runtime.ubuntu.14.04-x64.runtime.native.system.security.cryptography.openssl@4.3.0
-runtime.ubuntu.16.04-x64.runtime.native.system.security.cryptography.openssl@4.3.0
-runtime.ubuntu.16.10-x64.runtime.native.system.security.cryptography.openssl@4.3.0
-runtime.unix.microsoft.win32.primitives@4.3.0
-runtime.unix.system.diagnostics.debug@4.3.0
-runtime.unix.system.io.filesystem@4.3.0
-runtime.unix.system.private.uri@4.3.0
-runtime.unix.system.runtime.extensions@4.3.0
-skiasharp.nativeassets.linux@2.88.0-preview.178
-skiasharp.nativeassets.macos@2.88.0-preview.178
-skiasharp.nativeassets.webassembly@2.88.0-preview.178
-skiasharp.nativeassets.win32@2.88.0-preview.178
-skiasharp@2.88.0-preview.178
-system.buffers@4.3.0
-system.buffers@4.4.0
-system.buffers@4.5.1
-system.collections.concurrent@4.0.12
-system.collections.immutable@1.5.0
-system.collections.immutable@1.6.0
-system.collections.immutable@5.0.0
-system.collections@4.0.11
-system.collections@4.3.0
-system.componentmodel.annotations@4.5.0
-system.componentmodel.composition@6.0.0
-system.composition.attributedmodel@6.0.0
-system.composition.convention@6.0.0
-system.composition.hosting@6.0.0
-system.composition.runtime@6.0.0
-system.composition.typedparts@6.0.0
-system.composition@6.0.0
-system.diagnostics.debug@4.0.11
-system.diagnostics.debug@4.3.0
-system.diagnostics.process@4.1.0
-system.diagnostics.tools@4.0.1
-system.diagnostics.tracing@4.1.0
-system.diagnostics.tracing@4.3.0
-system.drawing.common@4.5.0
-system.dynamic.runtime@4.0.11
-system.dynamic.runtime@4.3.0
-system.globalization@4.0.11
-system.globalization@4.3.0
-system.io.compression@4.3.0
-system.io.filesystem.primitives@4.0.1
-system.io.filesystem.primitives@4.3.0
-system.io.filesystem@4.0.1
-system.io.filesystem@4.3.0
-system.io@4.1.0
-system.io@4.3.0
-system.linq.expressions@4.1.0
-system.linq.expressions@4.3.0
-system.linq@4.1.0
-system.linq@4.3.0
-system.memory@4.5.3
-system.memory@4.5.4
-system.numerics.vectors@4.4.0
-system.numerics.vectors@4.5.0
-system.objectmodel@4.0.12
-system.objectmodel@4.3.0
-system.private.uri@4.3.0
-system.reactive@5.0.0
-system.reflection.emit.ilgeneration@4.0.1
-system.reflection.emit.ilgeneration@4.3.0
-system.reflection.emit.ilgeneration@4.7.0
-system.reflection.emit.lightweight@4.0.1
-system.reflection.emit.lightweight@4.3.0
-system.reflection.emit@4.0.1
-system.reflection.emit@4.3.0
-system.reflection.emit@4.7.0
-system.reflection.extensions@4.0.1
-system.reflection.extensions@4.3.0
-system.reflection.metadata@1.6.0
-system.reflection.metadata@5.0.0
-system.reflection.primitives@4.0.1
-system.reflection.primitives@4.3.0
-system.reflection.typeextensions@4.1.0
-system.reflection.typeextensions@4.3.0
-system.reflection.typeextensions@4.7.0
-system.reflection@4.1.0
-system.reflection@4.3.0
-system.resources.resourcemanager@4.0.1
-system.resources.resourcemanager@4.3.0
-system.runtime.compilerservices.unsafe@4.5.2
-system.runtime.compilerservices.unsafe@4.5.3
-system.runtime.compilerservices.unsafe@4.6.0
-system.runtime.extensions@4.1.0
-system.runtime.extensions@4.3.0
-system.runtime.extensions@4.3.1
-system.runtime.handles@4.0.1
-system.runtime.handles@4.3.0
-system.runtime.interopservices.windowsruntime@4.3.0
-system.runtime.interopservices@4.1.0
-system.runtime.interopservices@4.3.0
-system.runtime.numerics@4.0.1
-system.runtime.serialization.primitives@4.1.1
-system.runtime@4.1.0
-system.runtime@4.3.0
-system.runtime@4.3.1
-system.security.accesscontrol@5.0.0
-system.security.cryptography.algorithms@4.2.0
-system.security.cryptography.encoding@4.0.0
-system.security.cryptography.primitives@4.0.0
-system.security.principal.windows@4.7.0
-system.security.principal.windows@5.0.0
-system.text.encoding.codepages@4.5.1
-system.text.encoding.extensions@4.3.0
-system.text.encoding@4.0.11
-system.text.encoding@4.3.0
-system.text.regularexpressions@4.1.0
-system.text.regularexpressions@4.3.0
-system.threading.tasks.dataflow@5.0.0
-system.threading.tasks.extensions@4.0.0
-system.threading.tasks.extensions@4.3.0
-system.threading.tasks.extensions@4.5.3
-system.threading.tasks.extensions@4.5.4
-system.threading.tasks@4.0.11
-system.threading.tasks@4.3.0
-system.threading.thread@4.0.0
-system.threading.threadpool@4.0.10
-system.threading@4.0.11
-system.threading@4.3.0
-system.valuetuple@4.5.0
-system.xml.readerwriter@4.0.11
-system.xml.readerwriter@4.3.1
-system.xml.xdocument@4.0.11
-tmds.dbus@0.9.0
-"
-
-inherit check-reqs desktop dotnet-pkg xdg
-
-DESCRIPTION="Avalonia-based .NET Decompiler, port of ILSpy"
-HOMEPAGE="https://github.com/icsharpcode/AvaloniaILSpy/"
-
-if [[ "${PV}" == *9999* ]] ; then
-	inherit git-r3
-
-	EGIT_REPO_URI="https://github.com/icsharpcode/${MY_PN}.git"
-else
-	SRC_URI="https://github.com/icsharpcode/${MY_PN}/archive/v${MY_PV}.tar.gz
-		-> ${P}.tar.gz"
-	S="${WORKDIR}/${MY_P}"
-
-	KEYWORDS="~amd64"
-fi
-
-AZURE_DNCENG_V2_URI="https://pkgs.dev.azure.com/dnceng/public/_apis/packaging/feeds/d1622942-d16f-48e5-bc83-96f4539e7601/nuget/packages"
-SRC_URI+="
-	${NUGET_URIS}
-
-	${AZURE_DNCENG_V2_URI}/microsoft.diasymreader.converter.xml/versions/1.1.0-beta2-22164-02/content
-		-> microsoft.diasymreader.converter.xml.1.1.0-beta2-22164-02.nupkg
-	${AZURE_DNCENG_V2_URI}/microsoft.diasymreader.portablepdb/versions/1.7.0-beta-21525-03/content
-		-> microsoft.diasymreader.portablepdb.1.7.0-beta-21525-03.nupkg
-"
-
-LICENSE="MIT"
-SLOT="0"
-
-RDEPEND="
-	app-arch/brotli
-	dev-libs/elfutils
-	dev-libs/expat
-	dev-libs/libxml2
-	media-gfx/graphite2
-	media-libs/fontconfig
-	media-libs/freetype
-	media-libs/harfbuzz
-	media-libs/libglvnd
-	media-libs/libpng
-	x11-libs/libICE
-	x11-libs/libSM
-	x11-libs/libX11
-	x11-libs/libXau
-	x11-libs/libXcursor
-	x11-libs/libXdmcp
-	x11-libs/libXext
-	x11-libs/libXfixes
-	x11-libs/libXi
-	x11-libs/libXrandr
-	x11-libs/libXrender
-	x11-libs/libdrm
-	x11-libs/libxcb
-	x11-libs/libxshmfence
-"
-
-CHECKREQS_DISK_BUILD="2G"
-DOTNET_PKG_PROJECTS=( ILSpy/ILSpy.csproj )
-
-DOCS=( README.md doc )
-
-pkg_setup() {
-	check-reqs_pkg_setup
-	dotnet-pkg_pkg_setup
-}
-
-src_unpack() {
-	dotnet-pkg_src_unpack
-
-	if [[ -n ${EGIT_REPO_URI} ]] ; then
-		git-r3_src_unpack
-	fi
-}
-
-src_install() {
-	dotnet-pkg-base_install
-	dotnet-pkg-base_dolauncher "/usr/share/${P}/ILSpy" "${PN}"
-
-	doicon --size 48 ILSpy.Core/Images/ILSpy.png
-	make_desktop_entry "${PN}" "${MY_PN}" ILSpy "Development;"
-
-	einstalldocs
-}
diff --git a/dev-dotnet/nake/Manifest b/dev-dotnet/nake/Manifest
index f95b902db025..17d5a8d2dc7d 100644
--- a/dev-dotnet/nake/Manifest
+++ b/dev-dotnet/nake/Manifest
@@ -215,5 +215,5 @@ DIST system.xml.xdocument.4.0.11.nupkg 591353 BLAKE2B 8373fa19c6aafbe6e347db7bb1
 DIST system.xml.xmldocument.4.3.0.nupkg 285212 BLAKE2B 0d96ca356543e8e915597e0624dca42f0c7032a2ae9e380a6fba3fbee0dacb9e5f06017893b2b7a8b937dbb4de7d5665fa6648e3bf8df12e0d34e4075c125109 SHA512 22251b3f16de9aa06e091b24baea1b8c95752f0d22266faf34e1fb76b347b23f7910cdaf567058e23d06b7079961090ca70805070a2491add5da4d0271afd133
 DIST system.xml.xpath.4.3.0.nupkg 250182 BLAKE2B 8a4177d47af56bc7a6289ed8f2cac41d504dee212a858ed221277b3f523b1ce38ccb47bc3ce4d59a2c7cfd77f00f3c9693a9c257c90adb38096ee77a860f10cc SHA512 2bd0979a2020579fb32ad374b89929a272e763ee1233ed9a215408c0a1f9f82a5fdb74330c1c55a6102e0dfdb8b7b59ed25fdf6454bf3de146152ea779f366e0
 DIST system.xml.xpath.xmldocument.4.3.0.nupkg 138523 BLAKE2B ba53f3b5ac0f2d1d1e9120940b302e6960690ed4a44b96ba15b03e16f9159f2c57d6004aa55b796ba2327009d23fc2f10d4d09e948b88eb6af36efa5f76e401b SHA512 f75b6f7c75874ab6053e8942c1662a6e9a3561aa01502437b8d67f3bfcebd1ebf906792801326889ed7acb094c55469766d7d27cd10bc61b46ddaaa94dfc11e3
-EBUILD nake-3.0.0.ebuild 9442 BLAKE2B 9416d720aae5b6567b0a3ae75566f103efbfbb7957a7d08fa714b10152632862d37dca0d58d0207beb6ff5b588d1f2bcc803e3810a228b022eba31e744b806d2 SHA512 86b66419ddfb493defcf51bf6653303c4054bf5cb981b3f06fdfbb1769a07b7466dfb1565ce7a01eb8ff46ee00d978addedc7a851e5fe2cee9a610a72560e4b9
+EBUILD nake-3.0.0-r1.ebuild 9638 BLAKE2B 5fc67cf4478685d06c2868d160fbb8d93b2e98653725006f00e60ad3ff1a60c2305e4cc5c899efaa90c7a1cbc1119bf700705b7c70100d79ef69d3acc5ccd6c9 SHA512 51e6aad8c7df1215815cd72036699848ce544771807541ee3887e2473ba697789cfff434ae5ce7f9cbf737e99b33da991ffac1534d55053662838e253467564f
 MISC metadata.xml 753 BLAKE2B 0264afe2ace4c64b9a984659fc6c2d0fce5a88f7b85a541eda941b79dab28dd742ba545ac382d90235d91ec55f67616fbf3d5feb79c539251aad417feb7ed962 SHA512 62dff7732141f7cd5514dc7c994c5238d079120e862a95db9f0fb710d23d241fcf6722d3f714b2ad7140bc61815d6f26cf1b71014df9997203a10c367e4a1ee9
diff --git a/dev-dotnet/nake/nake-3.0.0-r1.ebuild b/dev-dotnet/nake/nake-3.0.0-r1.ebuild
new file mode 100644
index 000000000000..d53aa6edb188
--- /dev/null
+++ b/dev-dotnet/nake/nake-3.0.0-r1.ebuild
@@ -0,0 +1,276 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DOTNET_PKG_COMPAT=8.0
+NUGETS="
+dotnet.script.dependencymodel.nuget@1.3.1
+dotnet.script.dependencymodel@1.3.1
+medallionshell@1.6.1
+microsoft.build.framework@16.4.0
+microsoft.build.tasks.core@16.4.0
+microsoft.build.utilities.core@16.4.0
+microsoft.build@16.4.0
+microsoft.codeanalysis.analyzers@3.3.2
+microsoft.codeanalysis.common@4.0.0-6.final
+microsoft.codeanalysis.common@4.1.0-1.final
+microsoft.codeanalysis.csharp.scripting@4.0.0-6.final
+microsoft.codeanalysis.csharp.scripting@4.1.0-1.final
+microsoft.codeanalysis.csharp@4.0.0-6.final
+microsoft.codeanalysis.csharp@4.1.0-1.final
+microsoft.codeanalysis.scripting.common@4.0.0-6.final
+microsoft.codeanalysis.scripting.common@4.1.0-1.final
+microsoft.codeanalysis.scripting@4.1.0-1.final
+microsoft.codecoverage@16.5.0
+microsoft.csharp@4.0.1
+microsoft.csharp@4.3.0
+microsoft.dotnet.internalabstractions@1.0.0
+microsoft.dotnet.platformabstractions@3.1.6
+microsoft.net.test.sdk@16.5.0
+microsoft.netcore.platforms@1.0.1
+microsoft.netcore.platforms@1.1.0
+microsoft.netcore.platforms@1.1.1
+microsoft.netcore.platforms@2.1.2
+microsoft.netcore.platforms@3.1.0
+microsoft.netcore.targets@1.0.1
+microsoft.netcore.targets@1.1.0
+microsoft.netcore.targets@1.1.3
+microsoft.testplatform.objectmodel@16.5.0
+microsoft.testplatform.testhost@16.5.0
+microsoft.win32.primitives@4.3.0
+microsoft.win32.registry@4.3.0
+microsoft.win32.registry@4.7.0
+netstandard.library@2.0.0
+newtonsoft.json@9.0.1
+nuget.common@5.2.0
+nuget.configuration@5.2.0
+nuget.dependencyresolver.core@5.2.0
+nuget.frameworks@5.0.0
+nuget.frameworks@5.2.0
+nuget.librarymodel@5.2.0
+nuget.packaging@5.2.0
+nuget.projectmodel@5.2.0
+nuget.protocol@5.2.0
+nuget.versioning@5.2.0
+nunit@3.12.0
+nunit3testadapter@3.16.1
+runtime.any.system.collections@4.3.0
+runtime.any.system.diagnostics.tools@4.3.0
+runtime.any.system.diagnostics.tracing@4.3.0
+runtime.any.system.globalization.calendars@4.3.0
+runtime.any.system.globalization@4.3.0
+runtime.any.system.io@4.3.0
+runtime.any.system.reflection.extensions@4.3.0
+runtime.any.system.reflection.primitives@4.3.0
+runtime.any.system.reflection@4.3.0
+runtime.any.system.resources.resourcemanager@4.3.0
+runtime.any.system.runtime.handles@4.3.0
+runtime.any.system.runtime.interopservices@4.3.0
+runtime.any.system.runtime@4.3.0
+runtime.any.system.text.encoding.extensions@4.3.0
+runtime.any.system.text.encoding@4.3.0
+runtime.any.system.threading.tasks@4.3.0
+runtime.debian.8-x64.runtime.native.system.security.cryptography.openssl@4.3.0
+runtime.debian.8-x64.runtime.native.system.security.cryptography.openssl@4.3.2
+runtime.fedora.23-x64.runtime.native.system.security.cryptography.openssl@4.3.0
+runtime.fedora.23-x64.runtime.native.system.security.cryptography.openssl@4.3.2
+runtime.fedora.24-x64.runtime.native.system.security.cryptography.openssl@4.3.0
+runtime.fedora.24-x64.runtime.native.system.security.cryptography.openssl@4.3.2
+runtime.native.system.net.http@4.3.0
+runtime.native.system.security.cryptography.apple@4.3.0
+runtime.native.system.security.cryptography.openssl@4.3.0
+runtime.native.system.security.cryptography.openssl@4.3.2
+runtime.native.system@4.0.0
+runtime.native.system@4.3.0
+runtime.opensuse.13.2-x64.runtime.native.system.security.cryptography.openssl@4.3.0
+runtime.opensuse.13.2-x64.runtime.native.system.security.cryptography.openssl@4.3.2
+runtime.opensuse.42.1-x64.runtime.native.system.security.cryptography.openssl@4.3.0
+runtime.opensuse.42.1-x64.runtime.native.system.security.cryptography.openssl@4.3.2
+runtime.osx.10.10-x64.runtime.native.system.security.cryptography.apple@4.3.0
+runtime.osx.10.10-x64.runtime.native.system.security.cryptography.openssl@4.3.0
+runtime.osx.10.10-x64.runtime.native.system.security.cryptography.openssl@4.3.2
+runtime.rhel.7-x64.runtime.native.system.security.cryptography.openssl@4.3.0
+runtime.rhel.7-x64.runtime.native.system.security.cryptography.openssl@4.3.2
+runtime.ubuntu.14.04-x64.runtime.native.system.security.cryptography.openssl@4.3.0
+runtime.ubuntu.14.04-x64.runtime.native.system.security.cryptography.openssl@4.3.2
+runtime.ubuntu.16.04-x64.runtime.native.system.security.cryptography.openssl@4.3.0
+runtime.ubuntu.16.04-x64.runtime.native.system.security.cryptography.openssl@4.3.2
+runtime.ubuntu.16.10-x64.runtime.native.system.security.cryptography.openssl@4.3.0
+runtime.ubuntu.16.10-x64.runtime.native.system.security.cryptography.openssl@4.3.2
+runtime.unix.microsoft.win32.primitives@4.3.0
+runtime.unix.system.diagnostics.debug@4.3.0
+runtime.unix.system.io.filesystem@4.3.0
+runtime.unix.system.net.primitives@4.3.0
+runtime.unix.system.private.uri@4.3.0
+runtime.unix.system.runtime.extensions@4.3.0
+system.appcontext@4.1.0
+system.buffers@4.3.0
+system.codedom@4.7.0
+system.collections.concurrent@4.0.12
+system.collections.concurrent@4.3.0
+system.collections.immutable@1.5.0
+system.collections.immutable@5.0.0
+system.collections.nongeneric@4.3.0
+system.collections.specialized@4.3.0
+system.collections@4.0.11
+system.collections@4.3.0
+system.componentmodel.eventbasedasync@4.3.0
+system.componentmodel.primitives@4.3.0
+system.componentmodel.typeconverter@4.3.0
+system.componentmodel@4.3.0
+system.diagnostics.debug@4.0.11
+system.diagnostics.debug@4.3.0
+system.diagnostics.diagnosticsource@4.3.0
+system.diagnostics.process@4.3.0
+system.diagnostics.tools@4.0.1
+system.diagnostics.tracesource@4.0.0
+system.diagnostics.tracing@4.1.0
+system.diagnostics.tracing@4.3.0
+system.dynamic.runtime@4.0.11
+system.dynamic.runtime@4.3.0
+system.globalization.calendars@4.3.0
+system.globalization.extensions@4.3.0
+system.globalization@4.0.11
+system.globalization@4.3.0
+system.io.filesystem.primitives@4.0.1
+system.io.filesystem.primitives@4.3.0
+system.io.filesystem@4.0.1
+system.io.filesystem@4.3.0
+system.io@4.1.0
+system.io@4.3.0
+system.linq.expressions@4.1.0
+system.linq.expressions@4.3.0
+system.linq.parallel@4.0.1
+system.linq@4.1.0
+system.linq@4.3.0
+system.memory@4.5.3
+system.memory@4.5.4
+system.net.http@4.3.4
+system.net.primitives@4.3.0
+system.objectmodel@4.0.12
+system.objectmodel@4.3.0
+system.private.uri@4.3.0
+system.reflection.emit.ilgeneration@4.0.1
+system.reflection.emit.ilgeneration@4.3.0
+system.reflection.emit.lightweight@4.0.1
+system.reflection.emit.lightweight@4.3.0
+system.reflection.emit@4.0.1
+system.reflection.emit@4.3.0
+system.reflection.extensions@4.0.1
+system.reflection.extensions@4.3.0
+system.reflection.metadata@1.6.0
+system.reflection.metadata@5.0.0
+system.reflection.primitives@4.0.1
+system.reflection.primitives@4.3.0
+system.reflection.typeextensions@4.1.0
+system.reflection.typeextensions@4.3.0
+system.reflection@4.1.0
+system.reflection@4.3.0
+system.resources.extensions@4.6.0
+system.resources.resourcemanager@4.0.1
+system.resources.resourcemanager@4.3.0
+system.resources.writer@4.0.0
+system.runtime.compilerservices.unsafe@5.0.0
+system.runtime.extensions@4.1.0
+system.runtime.extensions@4.3.0
+system.runtime.handles@4.0.1
+system.runtime.handles@4.3.0
+system.runtime.interopservices.runtimeinformation@4.3.0
+system.runtime.interopservices@4.1.0
+system.runtime.interopservices@4.3.0
+system.runtime.loader@4.0.0
+system.runtime.numerics@4.3.0
+system.runtime.serialization.primitives@4.1.1
+system.runtime@4.1.0
+system.runtime@4.3.0
+system.runtime@4.3.1
+system.security.accesscontrol@4.7.0
+system.security.cryptography.algorithms@4.3.0
+system.security.cryptography.cng@4.3.0
+system.security.cryptography.csp@4.3.0
+system.security.cryptography.encoding@4.3.0
+system.security.cryptography.openssl@4.3.0
+system.security.cryptography.primitives@4.3.0
+system.security.cryptography.protecteddata@4.7.0
+system.security.cryptography.x509certificates@4.3.0
+system.security.principal.windows@4.7.0
+system.text.encoding.codepages@4.0.1
+system.text.encoding.codepages@4.5.1
+system.text.encoding.extensions@4.0.11
+system.text.encoding.extensions@4.3.0
+system.text.encoding@4.0.11
+system.text.encoding@4.3.0
+system.text.regularexpressions@4.1.0
+system.text.regularexpressions@4.3.0
+system.threading.tasks.dataflow@4.9.0
+system.threading.tasks.extensions@4.0.0
+system.threading.tasks.extensions@4.3.0
+system.threading.tasks.extensions@4.5.4
+system.threading.tasks@4.0.11
+system.threading.tasks@4.3.0
+system.threading.thread@4.0.0
+system.threading.thread@4.3.0
+system.threading.threadpool@4.3.0
+system.threading@4.0.11
+system.threading@4.3.0
+system.xml.readerwriter@4.0.11
+system.xml.readerwriter@4.3.0
+system.xml.xdocument@4.0.11
+system.xml.xmldocument@4.3.0
+system.xml.xpath.xmldocument@4.3.0
+system.xml.xpath@4.3.0
+"
+
+inherit check-reqs dotnet-pkg
+
+DESCRIPTION="C# scripting build automation task runner"
+HOMEPAGE="https://github.com/yevhen/Nake/"
+
+if [[ "${PV}" == *9999* ]] ; then
+	inherit git-r3
+
+	EGIT_REPO_URI="https://github.com/yevhen/${PN^}.git"
+else
+	SRC_URI="https://github.com/yevhen/${PN^}/archive/${PV}.tar.gz
+		-> ${P}.tar.gz"
+	S="${WORKDIR}/${P^}"
+
+	KEYWORDS="~amd64"
+fi
+
+SRC_URI+=" ${NUGET_URIS} "
+
+LICENSE="Apache-2.0"
+SLOT="0"
+
+CHECKREQS_DISK_BUILD="2G"
+DOTNET_PKG_PROJECTS=( "${S}/Source/Nake/Nake.csproj" )
+PATCHES=( "${FILESDIR}/${PN}-3.0.0-csproj-framework.patch" )
+
+DOTNET_PKG_RESTORE_EXTRA_ARGS=(
+	-p:RollForward=Major
+)
+DOTNET_PKG_BUILD_EXTRA_ARGS=( "${DOTNET_PKG_RESTORE_EXTRA_ARGS[@]}" )
+DOTNET_PKG_TEST_EXTRA_ARGS=( "${DOTNET_PKG_RESTORE_EXTRA_ARGS[@]}" )
+
+pkg_setup() {
+	check-reqs_pkg_setup
+	dotnet-pkg_pkg_setup
+}
+
+src_unpack() {
+	dotnet-pkg_src_unpack
+
+	if [[ -n ${EGIT_REPO_URI} ]] ; then
+		git-r3_src_unpack
+	fi
+}
+
+src_prepare() {
+	rm Source/Nake.Tests/Multi_level_caching.cs		\
+	   Source/Nake.Tests/Nuget_references.cs		\
+	   Source/Utility.Tests/ShellFixture.cs	|| die
+
+	dotnet-pkg_src_prepare
+}
diff --git a/dev-dotnet/nake/nake-3.0.0.ebuild b/dev-dotnet/nake/nake-3.0.0.ebuild
deleted file mode 100644
index 780e78286676..000000000000
--- a/dev-dotnet/nake/nake-3.0.0.ebuild
+++ /dev/null
@@ -1,270 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DOTNET_PKG_COMPAT=6.0
-NUGETS="
-dotnet.script.dependencymodel.nuget@1.3.1
-dotnet.script.dependencymodel@1.3.1
-medallionshell@1.6.1
-microsoft.build.framework@16.4.0
-microsoft.build.tasks.core@16.4.0
-microsoft.build.utilities.core@16.4.0
-microsoft.build@16.4.0
-microsoft.codeanalysis.analyzers@3.3.2
-microsoft.codeanalysis.common@4.0.0-6.final
-microsoft.codeanalysis.common@4.1.0-1.final
-microsoft.codeanalysis.csharp.scripting@4.0.0-6.final
-microsoft.codeanalysis.csharp.scripting@4.1.0-1.final
-microsoft.codeanalysis.csharp@4.0.0-6.final
-microsoft.codeanalysis.csharp@4.1.0-1.final
-microsoft.codeanalysis.scripting.common@4.0.0-6.final
-microsoft.codeanalysis.scripting.common@4.1.0-1.final
-microsoft.codeanalysis.scripting@4.1.0-1.final
-microsoft.codecoverage@16.5.0
-microsoft.csharp@4.0.1
-microsoft.csharp@4.3.0
-microsoft.dotnet.internalabstractions@1.0.0
-microsoft.dotnet.platformabstractions@3.1.6
-microsoft.net.test.sdk@16.5.0
-microsoft.netcore.platforms@1.0.1
-microsoft.netcore.platforms@1.1.0
-microsoft.netcore.platforms@1.1.1
-microsoft.netcore.platforms@2.1.2
-microsoft.netcore.platforms@3.1.0
-microsoft.netcore.targets@1.0.1
-microsoft.netcore.targets@1.1.0
-microsoft.netcore.targets@1.1.3
-microsoft.testplatform.objectmodel@16.5.0
-microsoft.testplatform.testhost@16.5.0
-microsoft.win32.primitives@4.3.0
-microsoft.win32.registry@4.3.0
-microsoft.win32.registry@4.7.0
-netstandard.library@2.0.0
-newtonsoft.json@9.0.1
-nuget.common@5.2.0
-nuget.configuration@5.2.0
-nuget.dependencyresolver.core@5.2.0
-nuget.frameworks@5.0.0
-nuget.frameworks@5.2.0
-nuget.librarymodel@5.2.0
-nuget.packaging@5.2.0
-nuget.projectmodel@5.2.0
-nuget.protocol@5.2.0
-nuget.versioning@5.2.0
-nunit@3.12.0
-nunit3testadapter@3.16.1
-runtime.any.system.collections@4.3.0
-runtime.any.system.diagnostics.tools@4.3.0
-runtime.any.system.diagnostics.tracing@4.3.0
-runtime.any.system.globalization.calendars@4.3.0
-runtime.any.system.globalization@4.3.0
-runtime.any.system.io@4.3.0
-runtime.any.system.reflection.extensions@4.3.0
-runtime.any.system.reflection.primitives@4.3.0
-runtime.any.system.reflection@4.3.0
-runtime.any.system.resources.resourcemanager@4.3.0
-runtime.any.system.runtime.handles@4.3.0
-runtime.any.system.runtime.interopservices@4.3.0
-runtime.any.system.runtime@4.3.0
-runtime.any.system.text.encoding.extensions@4.3.0
-runtime.any.system.text.encoding@4.3.0
-runtime.any.system.threading.tasks@4.3.0
-runtime.debian.8-x64.runtime.native.system.security.cryptography.openssl@4.3.0
-runtime.debian.8-x64.runtime.native.system.security.cryptography.openssl@4.3.2
-runtime.fedora.23-x64.runtime.native.system.security.cryptography.openssl@4.3.0
-runtime.fedora.23-x64.runtime.native.system.security.cryptography.openssl@4.3.2
-runtime.fedora.24-x64.runtime.native.system.security.cryptography.openssl@4.3.0
-runtime.fedora.24-x64.runtime.native.system.security.cryptography.openssl@4.3.2
-runtime.native.system.net.http@4.3.0
-runtime.native.system.security.cryptography.apple@4.3.0
-runtime.native.system.security.cryptography.openssl@4.3.0
-runtime.native.system.security.cryptography.openssl@4.3.2
-runtime.native.system@4.0.0
-runtime.native.system@4.3.0
-runtime.opensuse.13.2-x64.runtime.native.system.security.cryptography.openssl@4.3.0
-runtime.opensuse.13.2-x64.runtime.native.system.security.cryptography.openssl@4.3.2
-runtime.opensuse.42.1-x64.runtime.native.system.security.cryptography.openssl@4.3.0
-runtime.opensuse.42.1-x64.runtime.native.system.security.cryptography.openssl@4.3.2
-runtime.osx.10.10-x64.runtime.native.system.security.cryptography.apple@4.3.0
-runtime.osx.10.10-x64.runtime.native.system.security.cryptography.openssl@4.3.0
-runtime.osx.10.10-x64.runtime.native.system.security.cryptography.openssl@4.3.2
-runtime.rhel.7-x64.runtime.native.system.security.cryptography.openssl@4.3.0
-runtime.rhel.7-x64.runtime.native.system.security.cryptography.openssl@4.3.2
-runtime.ubuntu.14.04-x64.runtime.native.system.security.cryptography.openssl@4.3.0
-runtime.ubuntu.14.04-x64.runtime.native.system.security.cryptography.openssl@4.3.2
-runtime.ubuntu.16.04-x64.runtime.native.system.security.cryptography.openssl@4.3.0
-runtime.ubuntu.16.04-x64.runtime.native.system.security.cryptography.openssl@4.3.2
-runtime.ubuntu.16.10-x64.runtime.native.system.security.cryptography.openssl@4.3.0
-runtime.ubuntu.16.10-x64.runtime.native.system.security.cryptography.openssl@4.3.2
-runtime.unix.microsoft.win32.primitives@4.3.0
-runtime.unix.system.diagnostics.debug@4.3.0
-runtime.unix.system.io.filesystem@4.3.0
-runtime.unix.system.net.primitives@4.3.0
-runtime.unix.system.private.uri@4.3.0
-runtime.unix.system.runtime.extensions@4.3.0
-system.appcontext@4.1.0
-system.buffers@4.3.0
-system.codedom@4.7.0
-system.collections.concurrent@4.0.12
-system.collections.concurrent@4.3.0
-system.collections.immutable@1.5.0
-system.collections.immutable@5.0.0
-system.collections.nongeneric@4.3.0
-system.collections.specialized@4.3.0
-system.collections@4.0.11
-system.collections@4.3.0
-system.componentmodel.eventbasedasync@4.3.0
-system.componentmodel.primitives@4.3.0
-system.componentmodel.typeconverter@4.3.0
-system.componentmodel@4.3.0
-system.diagnostics.debug@4.0.11
-system.diagnostics.debug@4.3.0
-system.diagnostics.diagnosticsource@4.3.0
-system.diagnostics.process@4.3.0
-system.diagnostics.tools@4.0.1
-system.diagnostics.tracesource@4.0.0
-system.diagnostics.tracing@4.1.0
-system.diagnostics.tracing@4.3.0
-system.dynamic.runtime@4.0.11
-system.dynamic.runtime@4.3.0
-system.globalization.calendars@4.3.0
-system.globalization.extensions@4.3.0
-system.globalization@4.0.11
-system.globalization@4.3.0
-system.io.filesystem.primitives@4.0.1
-system.io.filesystem.primitives@4.3.0
-system.io.filesystem@4.0.1
-system.io.filesystem@4.3.0
-system.io@4.1.0
-system.io@4.3.0
-system.linq.expressions@4.1.0
-system.linq.expressions@4.3.0
-system.linq.parallel@4.0.1
-system.linq@4.1.0
-system.linq@4.3.0
-system.memory@4.5.3
-system.memory@4.5.4
-system.net.http@4.3.4
-system.net.primitives@4.3.0
-system.objectmodel@4.0.12
-system.objectmodel@4.3.0
-system.private.uri@4.3.0
-system.reflection.emit.ilgeneration@4.0.1
-system.reflection.emit.ilgeneration@4.3.0
-system.reflection.emit.lightweight@4.0.1
-system.reflection.emit.lightweight@4.3.0
-system.reflection.emit@4.0.1
-system.reflection.emit@4.3.0
-system.reflection.extensions@4.0.1
-system.reflection.extensions@4.3.0
-system.reflection.metadata@1.6.0
-system.reflection.metadata@5.0.0
-system.reflection.primitives@4.0.1
-system.reflection.primitives@4.3.0
-system.reflection.typeextensions@4.1.0
-system.reflection.typeextensions@4.3.0
-system.reflection@4.1.0
-system.reflection@4.3.0
-system.resources.extensions@4.6.0
-system.resources.resourcemanager@4.0.1
-system.resources.resourcemanager@4.3.0
-system.resources.writer@4.0.0
-system.runtime.compilerservices.unsafe@5.0.0
-system.runtime.extensions@4.1.0
-system.runtime.extensions@4.3.0
-system.runtime.handles@4.0.1
-system.runtime.handles@4.3.0
-system.runtime.interopservices.runtimeinformation@4.3.0
-system.runtime.interopservices@4.1.0
-system.runtime.interopservices@4.3.0
-system.runtime.loader@4.0.0
-system.runtime.numerics@4.3.0
-system.runtime.serialization.primitives@4.1.1
-system.runtime@4.1.0
-system.runtime@4.3.0
-system.runtime@4.3.1
-system.security.accesscontrol@4.7.0
-system.security.cryptography.algorithms@4.3.0
-system.security.cryptography.cng@4.3.0
-system.security.cryptography.csp@4.3.0
-system.security.cryptography.encoding@4.3.0
-system.security.cryptography.openssl@4.3.0
-system.security.cryptography.primitives@4.3.0
-system.security.cryptography.protecteddata@4.7.0
-system.security.cryptography.x509certificates@4.3.0
-system.security.principal.windows@4.7.0
-system.text.encoding.codepages@4.0.1
-system.text.encoding.codepages@4.5.1
-system.text.encoding.extensions@4.0.11
-system.text.encoding.extensions@4.3.0
-system.text.encoding@4.0.11
-system.text.encoding@4.3.0
-system.text.regularexpressions@4.1.0
-system.text.regularexpressions@4.3.0
-system.threading.tasks.dataflow@4.9.0
-system.threading.tasks.extensions@4.0.0
-system.threading.tasks.extensions@4.3.0
-system.threading.tasks.extensions@4.5.4
-system.threading.tasks@4.0.11
-system.threading.tasks@4.3.0
-system.threading.thread@4.0.0
-system.threading.thread@4.3.0
-system.threading.threadpool@4.3.0
-system.threading@4.0.11
-system.threading@4.3.0
-system.xml.readerwriter@4.0.11
-system.xml.readerwriter@4.3.0
-system.xml.xdocument@4.0.11
-system.xml.xmldocument@4.3.0
-system.xml.xpath.xmldocument@4.3.0
-system.xml.xpath@4.3.0
-"
-
-inherit check-reqs dotnet-pkg
-
-DESCRIPTION="C# scripting build automation task runner"
-HOMEPAGE="https://github.com/yevhen/Nake/"
-
-if [[ "${PV}" == *9999* ]] ; then
-	inherit git-r3
-
-	EGIT_REPO_URI="https://github.com/yevhen/${PN^}.git"
-else
-	SRC_URI="https://github.com/yevhen/${PN^}/archive/${PV}.tar.gz
-		-> ${P}.tar.gz"
-	S="${WORKDIR}/${P^}"
-
-	KEYWORDS="~amd64"
-fi
-
-SRC_URI+=" ${NUGET_URIS} "
-
-LICENSE="Apache-2.0"
-SLOT="0"
-
-CHECKREQS_DISK_BUILD="2G"
-DOTNET_PKG_PROJECTS=( "${S}/Source/Nake/Nake.csproj" )
-PATCHES=( "${FILESDIR}/${PN}-3.0.0-csproj-framework.patch" )
-
-pkg_setup() {
-	check-reqs_pkg_setup
-	dotnet-pkg_pkg_setup
-}
-
-src_unpack() {
-	dotnet-pkg_src_unpack
-
-	if [[ -n ${EGIT_REPO_URI} ]] ; then
-		git-r3_src_unpack
-	fi
-}
-
-src_prepare() {
-	rm Source/Nake.Tests/Multi_level_caching.cs		\
-	   Source/Nake.Tests/Nuget_references.cs		\
-	   Source/Utility.Tests/ShellFixture.cs	|| die
-
-	dotnet-pkg_src_prepare
-}
-- 
cgit v1.2.3